Class: Aws::MediaTailor::Types::HttpRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-mediatailor/lib/aws-sdk-mediatailor/types.rb

Overview

HTTP request configuration parameters that define how MediaTailor communicates with the ad decision server.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#bodyString

The request body content to send with HTTP requests to the ad decision server. This value is only eligible for POST requests.

Returns:

  • (String)


2588
2589
2590
2591
2592
2593
2594
2595
# File 'gems/aws-sdk-mediatailor/lib/aws-sdk-mediatailor/types.rb', line 2588

class HttpRequest < Struct.new(
  :method,
  :body,
  :headers,
  :compress_request)
  SENSITIVE = []
  include Aws::Structure
end

#compress_requestString

The compression method to apply to requests sent to the ad decision server. Supported values are NONE and GZIP. This value is only eligible for POST requests.

Returns:

  • (String)


2588
2589
2590
2591
2592
2593
2594
2595
# File 'gems/aws-sdk-mediatailor/lib/aws-sdk-mediatailor/types.rb', line 2588

class HttpRequest < Struct.new(
  :method,
  :body,
  :headers,
  :compress_request)
  SENSITIVE = []
  include Aws::Structure
end

#headersHash<String,String>

Custom HTTP headers to include in requests to the ad decision server. Specify headers as key-value pairs. This value is only eligible for POST requests.

Returns:

  • (Hash<String,String>)


2588
2589
2590
2591
2592
2593
2594
2595
# File 'gems/aws-sdk-mediatailor/lib/aws-sdk-mediatailor/types.rb', line 2588

class HttpRequest < Struct.new(
  :method,
  :body,
  :headers,
  :compress_request)
  SENSITIVE = []
  include Aws::Structure
end

#methodString

The HTTP method to use when making requests to the ad decision server. Supported values are GET and POST.

Returns:

  • (String)


2588
2589
2590
2591
2592
2593
2594
2595
# File 'gems/aws-sdk-mediatailor/lib/aws-sdk-mediatailor/types.rb', line 2588

class HttpRequest < Struct.new(
  :method,
  :body,
  :headers,
  :compress_request)
  SENSITIVE = []
  include Aws::Structure
end